### Class

# WebKit2 URIRequest

#### Description [src]

    class WebKit2.URIRequest : GObject.Object
    {
      WebKitURIRequestPrivate* priv
    }

Represents a URI request.

A `WebKitURIRequest` can be created with a URI using the `webkit_uri_request_new()` method, and you can get the URI of an existing request with the `webkit_uri_request_get_uri()` one.

#### Ancestors

- GObject

#### Constructors

###### webkit_uri_request_new

Creates a new `WebKitURIRequest` for the given URI.

#### Instance methods

###### webkit_uri_request_get_http_headers

Get the HTTP headers of a `WebKitURIRequest` as a `SoupMessageHeaders`.

###### webkit_uri_request_get_http_method

Get the HTTP method of the `WebKitURIRequest`.

since: 2.12

###### webkit_uri_request_get_uri

Obtains the request URI.

###### webkit_uri_request_set_uri

Set the URI of `request`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.URIRequest:uri

The URI to which the request will be made.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2URIRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.